Bug 29423 - FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 and intrinsic_spacing.f90
Summary: FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 and intrinsic_...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libfortran (show other bugs)
Version: 4.2.0
: P3 normal
Target Milestone: 4.2.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-10 22:21 UTC by John David Anglin
Modified: 2006-10-13 20:14 UTC (History)
2 users (show)

See Also:
Host: hppa2.0w-hp-hpux11.11
Target: hppa2.0w-hp-hpux11.11
Build: hppa2.0w-hp-hpux11.11
Known to work:
Known to fail:
Last reconfirmed:


Attachments
dave.diff (924 bytes, text/plain)
2006-10-12 04:51 UTC, Steve Kargl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John David Anglin 2006-10-10 22:21:02 UTC
Executing on host: /test/gnu/gcc/objdir/gcc/testsuite/gfortran/../../gfortran -B
/test/gnu/gcc/objdir/gcc/testsuite/gfortran/../../ /test/gnu/gcc/gcc/gcc/testsui
te/gfortran.fortran-torture/execute/intrinsic_rrspacing.f90  -w  -O0   -L/test/g
nu/gcc/objdir/hppa2.0w-hp-hpux11.11/./libgfortran/.libs -L/test/gnu/gcc/objdir/h
ppa2.0w-hp-hpux11.11/./libgfortran/.libs -L/test/gnu/gcc/objdir/hppa2.0w-hp-hpux
11.11/./libiberty  -lm   -o /test/gnu/gcc/objdir/gcc/testsuite/gfortran/intrinsi
c_rrspacing.x    (timeout = 300)
/usr/ccs/bin/ld: Unsatisfied symbols:
   _gfortran_rrspacing_r4 (first referenced in /var/tmp//ccSkcell.o) (code)
collect2: ld returned 1 exit status
compiler exited with status 1
output is:
/usr/ccs/bin/ld: Unsatisfied symbols:
   _gfortran_rrspacing_r4 (first referenced in /var/tmp//ccSkcell.o) (code)
collect2: ld returned 1 exit status

FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 compilation,  -O0

UNTESTED: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 execution,  -
O0
Comment 1 kargl 2006-10-10 22:34:13 UTC
Update your source directory and rebuild in a clean obj directory.
Comment 2 dave 2006-10-11 16:30:19 UTC
Subject: Re:  FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 and intrinsic_spacing.f90

> ------- Comment #1 from kargl at gcc dot gnu dot org  2006-10-10 22:34 -------
> Update your source directory and rebuild in a clean obj directory.

Done.  The error still occurs.  I don't see the symbol in any of the
library .o files.

Dave
Comment 3 Steve Kargl 2006-10-11 16:53:16 UTC
Subject: Re:  FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 and intrinsic_spacing.f90

On Wed, Oct 11, 2006 at 04:30:20PM -0000, dave at hiauly1 dot hia dot nrc dot ca wrote:
> 
> Done.  The error still occurs.  I don't see the symbol in any of the
> library .o files.
> 

Do you have libgfortran/generated/rrspacing_r4.c?
Does youir OS have fabsf, frexpf, and ldexpf?

Comment 4 dave 2006-10-11 17:57:24 UTC
Subject: Re:  FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 and intrinsic_spacing.f90

> > Done.  The error still occurs.  I don't see the symbol in any of the
> > library .o files.
> > 
> 
> Do you have libgfortran/generated/rrspacing_r4.c?

Yes.

> Does youir OS have fabsf, frexpf, and ldexpf?

Yes, no, no.  It has frexp and ldexp.

Dave
Comment 5 Steve Kargl 2006-10-11 18:30:38 UTC
Subject: Re:  FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 and intrinsic_spacing.f90

> > Does youir OS have fabsf, frexpf, and ldexpf?
> 
> Yes, no, no.  It has frexp and ldexp.
> 

Do you have scalbnf?

Comment 6 dave 2006-10-11 21:45:01 UTC
Subject: Re:  FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 and intrinsic_spacing.f90

> Do you have scalbnf?

No.  Just scalbn.

Dave
Comment 7 Steve Kargl 2006-10-12 04:51:19 UTC
Subject: Re:  FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 and intrinsic_spacing.f90

On Wed, Oct 11, 2006 at 09:45:02PM -0000, dave at hiauly1 dot hia dot nrc dot ca wrote:
> 
> > Do you have scalbnf?
> 
> No.  Just scalbn.
> 

Can you try the attached patch?  You should be able to do
cd trunk
patch < dave.diff
cd To_Your_Obj_dir
find . -name libgfortran\* | xargs rm -rf
make
cd gcc
make check-gfortran

Comment 8 Steve Kargl 2006-10-12 04:51:19 UTC
Created attachment 12414 [details]
dave.diff
Comment 9 dave 2006-10-13 00:39:56 UTC
Subject: Re:  FAIL: gfortran.fortran-torture/execute/intrinsic_rrspacing.f90 and intrinsic_spacing.f90

> Can you try the attached patch?

This fixes the PR.  The gfortran testsuite is now clean on
hppa2.0w-hp-hpux11.11.

Thanks,
Dave
Comment 10 kargl 2006-10-13 20:14:59 UTC
Committed the patch.